NuGet - Update Package Version

Set mutable state on a package version.

The project parameter must be supplied if the feed was created in a project. If the feed is not associated with any project, omit the project parameter from the request.

PATCH https://pkgs.dev.azure.com/{organization}/{project}/_apis/packaging/feeds/{feedId}/nuget/packages/{packageName}/versions/{packageVersion}?api-version=5.1-preview.1

URI Parameters

Name In Required Type Description
feedId
path True
  • string

Name or ID of the feed.

organization
path True
  • string

The name of the Azure DevOps organization.

packageName
path True
  • string

Name of the package to update.

packageVersion
path True
  • string

Version of the package to update.

project
path
  • string

Project ID or project name

api-version
query True
  • string

Version of the API to use. This should be set to '5.1-preview.1' to use this version of the api.

Request Body

Name Type Description
listed
  • boolean

Indicates the listing state of a package

views

The view to which the package version will be added

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.packaging_manage Grants the ability to create, read, update, and delete feeds and packages.

Definitions

JsonPatchOperation

The JSON model for a JSON Patch operation

Operation

The patch operation

PackageVersionDetails

JsonPatchOperation

The JSON model for a JSON Patch operation

Name Type Description
from
  • string

The path to copy from for the Move/Copy operation.

op

The patch operation

path
  • string

The path for the operation. In the case of an array, a zero based index can be used to specify the position in the array (e.g. /biscuits/0/name). The "-" character can be used instead of an index to insert at the end of the array (e.g. /biscuits/-).

value
  • object

The value for the operation. This is either a primitive or a JToken.

Operation

The patch operation

Name Type Description
add
  • string
copy
  • string
move
  • string
remove
  • string
replace
  • string
test
  • string

PackageVersionDetails

Name Type Description
listed
  • boolean

Indicates the listing state of a package

views

The view to which the package version will be added